/* a faire: 
- taille img
- flèche g/d
- position auto qd on clique
- zoom?
- barre du dessus
*/

body {
    font-family: sans-serif;
    text-align: center;
}

.mainlayout {
    display: flex;
    height: 100%;
}

.prevnext {
    display: flex;
    flex-direction: row;
    align-items: center;

}

.prevnext h2 {
    margin-bottom: 10px;
    font-size: 1em;
}


.prevnext ul {
    position: relative;
    list-style: none;
    padding: 0;
    margin: 0 auto;
    width: 100px;
    height: 100px;
}


.prevnext li {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    opacity: 0;
    pointer-events: none;
    display: flex;
    justify-content: center;
    align-items: center;
    margin: 0;
    padding: 0;
}

/* 1er enfant est visible */
.prevnext li:first-child {
    opacity: 1;
    pointer-events: auto;
    z-index: 10;
}

/* Style images */
.prevnext li img {
    max-width: 80%;
    max-height: 80%;
    object-fit: contain;

}

/* Boutons */
.prevnext button {
    margin: 5px;
    padding: 5px 10px;
    cursor: pointer;
    font-size: 1.2em;
    background: #ffffff;
    color: rgb(0, 0, 0);
    border: none;
    border-radius: 4px;
}

.gauche {
    width: 33%;
    background-color: #c4a4c6;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    padding: 20px;
    box-sizing: border-box;
}



.droite {
    width: 67%;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    position: relative;
}


#zone-avatar {
    position: relative;
    width: 400px;
    height: 400px;
    margin: 0 auto;
}

#zoneavatar img {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: contain;
    display: block;
}

#zoneavatar:active {
    cursor: grabbing;
    z-index: 200;
}


.hidden {
    display: none !important;
}


.top-bar {
    display: flex;
    justify-content: space-around; 
    width: 100%;
    margin-bottom: 20px;
    padding: 10px 0;
    border-bottom: 1px solid #ddd;
}

/* carrés cliquable top-bar */
.nav-btn {
    width: 60px;
    height: 60px;
    background-color: #ffffff;
    border-radius: 8px;
    display: flex;
    align-items: center;
    justify-content: center;
    cursor: pointer;
    font-size: 0.6em;
    text-align: center;
    font-weight: bold;
    transition: background 0.3s;
}

.nav-btn:hover {
    background-color: #ddd;
}


.nav-btn.active {
    background-color: #bb00ff;
    color: white;
}